# Interface PacketOutputStream

All Known Implementing Classes:
  `AbstractPacketOutputStream, CompressPacketOutputStream, StandardPacketOutputStream`

public interface PacketOutputStream

## Method Summary

Modifier and Type
Method
Description
`boolean`
`bufferIsDataAfterMark()`
`void`
`checkMaxAllowedLength(int length)`
`boolean`
`checkRemainingSize(int len)`
`void`
`close()`
`boolean`
`exceedMaxLength()`
`void`
`flush()`
`void`
`flushBufferStopAtMark()`
`int`
`getMaxAllowedPacket()`
`OutputStream`
`getOutputStream()`
`int`
`initialPacketPos()`
`boolean`
`isMarked()`
`void`
`mark()`
`void`
`permitTrace(boolean permitTrace)`
`byte[]`
`resetMark()`
`void`
`setMaxAllowedPacket(int maxAllowedPacket)`
`void`
`setServerThreadId(long serverThreadId, Boolean isMaster)`
`void`
`setTraceCache(LruTraceCache traceCache)`
`void`
`startPacket(int seqNo)`
`void`
`write(byte[] arr)`
`void`
`write(byte[] arr, int off, int len)`
`void`
`write(int arr)`
`void`
`write(InputStream is, boolean escape, boolean noBackslashEscapes)`
`void`
`write(InputStream is, long length, boolean escape, boolean noBackslashEscapes)`
`void`
`write(Reader reader, boolean escape, boolean noBackslashEscapes)`
`void`
`write(Reader reader, long length, boolean escape, boolean noBackslashEscapes)`
`void`
`write(String str)`
`void`
`write(String str, boolean escape, boolean noBackslashEscapes)`
`void`
`writeBytes(byte value, int len)`
`void`
`writeBytesEscaped(byte[] bytes, int len, boolean noBackslashEscapes)`
`void`
`writeEmptyPacket()`
`void`
`writeEmptyPacket(int seqNo)`
`void`
`writeFieldLength(long length)`
`void`
`writeInt(int value)`
`void`
`writeLong(long value)`
`void`
`writeShort(short value)`

## Method Details

### startPacket

void startPacket(int seqNo)

### writeEmptyPacket

void writeEmptyPacket(int seqNo) throws IOException

Throws:
  `IOException`

### writeEmptyPacket

void writeEmptyPacket() throws IOException

Throws:
  `IOException`

### write

void write(int arr) throws IOException

Throws:
  `IOException`

### write

void write(byte[] arr) throws IOException

Throws:
  `IOException`

### write

void write(byte[] arr, int off, int len) throws IOException

Throws:
  `IOException`

### write

void write(String str) throws IOException

Throws:
  `IOException`

### write

void write(String str, boolean escape, boolean noBackslashEscapes) throws IOException

Throws:
  `IOException`

### write

void write(InputStream is, boolean escape, boolean noBackslashEscapes) throws IOException

Throws:
  `IOException`

### write

void write(InputStream is, long length, boolean escape, boolean noBackslashEscapes) throws IOException

Throws:
  `IOException`

### write

void write(Reader reader, boolean escape, boolean noBackslashEscapes) throws IOException

Throws:
  `IOException`

### write

void write(Reader reader, long length, boolean escape, boolean noBackslashEscapes) throws IOException

Throws:
  `IOException`

### writeBytesEscaped

void writeBytesEscaped(byte[] bytes, int len, boolean noBackslashEscapes) throws IOException

Throws:
  `IOException`

### flush

void flush() throws IOException

Throws:
  `IOException`

### close

void close() throws IOException

Throws:
  `IOException`

### checkRemainingSize

boolean checkRemainingSize(int len)

### exceedMaxLength

boolean exceedMaxLength()

### getOutputStream

OutputStream getOutputStream()

### writeShort

void writeShort(short value) throws IOException

Throws:
  `IOException`

### writeInt

void writeInt(int value) throws IOException

Throws:
  `IOException`

### writeLong

void writeLong(long value) throws IOException

Throws:
  `IOException`

### writeBytes

void writeBytes(byte value, int len) throws IOException

Throws:
  `IOException`

### writeFieldLength

void writeFieldLength(long length) throws IOException

Throws:
  `IOException`

### getMaxAllowedPacket

int getMaxAllowedPacket()

### setMaxAllowedPacket

void setMaxAllowedPacket(int maxAllowedPacket)

### permitTrace

void permitTrace(boolean permitTrace)

### setServerThreadId

void setServerThreadId(long serverThreadId, Boolean isMaster)

### setTraceCache

void setTraceCache(LruTraceCache traceCache)

### mark

void mark() throws MaxAllowedPacketException

Throws:
  `MaxAllowedPacketException`

### isMarked

boolean isMarked()

### flushBufferStopAtMark

void flushBufferStopAtMark() throws IOException

Throws:
  `IOException`

### bufferIsDataAfterMark

boolean bufferIsDataAfterMark()

### resetMark

byte[] resetMark()

### initialPacketPos

int initialPacketPos()

### checkMaxAllowedLength

void checkMaxAllowedLength(int length) throws MaxAllowedPacketException

Throws:
  `MaxAllowedPacketException`